curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/phone_numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/phone_numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/phone_numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "phone_number",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"is_current": true,
"label": "Office",
"phone_number": "+14155559012",
"external_id": "EXT-12345",
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"custom_fields": {}
},
"relationships": {
"user": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"profile": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}List phone numbers for a profile
Returns a list of phone numbers
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/phone_numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/phone_numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/phone_numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "phone_number",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"is_current": true,
"label": "Office",
"phone_number": "+14155559012",
"external_id": "EXT-12345",
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"custom_fields": {}
},
"relationships": {
"user": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"profile": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Query Parameters
Comma-separated list of relationships to include. Allowed: user, profile
Sort order. Prefix with - for descending. Allowed: created_at, updated_at
Filter results. Available filters: created_at, created_at.neq, created_at.lt, created_at.lte, created_at.gt, created_at.gte, updated_at, updated_at.neq, updated_at.lt, updated_at.lte, updated_at.gt, updated_at.gte, is_current (boolean, Limit to currently-effective records.), label, label.neq, label.cont (case-insensitive substring match), label.in (list of values, comma-separated), label.nin (list of values, comma-separated), phone_number, phone_number.neq, phone_number.cont (case-insensitive substring match), phone_number.in (list of values, comma-separated), phone_number.nin (list of values, comma-separated), external_id, external_id.neq, external_id.cont (case-insensitive substring match), external_id.in (list of values, comma-separated), external_id.nin (list of values, comma-separated), effective_from, effective_from.neq, effective_from.lt, effective_from.lte, effective_from.gt, effective_from.gte, effective_to, effective_to.neq, effective_to.lt, effective_to.lte, effective_to.gt (null values are treated as unbounded above and match this filter), effective_to.gte (null values are treated as unbounded above and match this filter), user, profile, profile.exists (boolean). Filter by a custom field with filter[custom_fields][<key>]=<value>. The neq, cont, in, nin, lt, lte, gt, and gte operators take the form filter[custom_fields.<operator>][<key>]=<value>, where the field's type decides which apply.
Number of items per page (max 100)
Cursor for next page
Cursor for previous page